Package it.ernytech.tdlib

## Class TdApi.ChatInviteLinkInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatInviteLinkInfo

Enclosing class:
  TdApi

    public static class TdApi.ChatInviteLinkInfo
    extends TdApi.Object

Contains information about a chat invite link.

### Field Summary

Fields
`long` `chatId` Chat identifier of the invite link; 0 if the user is not a member of this chat.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isPublic` True, if the chat is a public supergroup or channel with a username.
`int` `memberCount` Number of members.
`int[]` `memberUserIds` User identifiers of some chat members that may be known to the current user.
`TdApi.ChatPhoto` `photo` Chat photo; may be null.
`java.lang.String` `title` Title of the chat.
`TdApi.ChatType` `type` Contains information about the type of the chat.

### Constructor Summary

Constructors
`ChatInviteLinkInfo()` Default constructor.
`ChatInviteLinkInfo​(long chatId, TdApi.ChatType type, java.lang.String title, TdApi.ChatPhoto photo, int memberCount, int[] memberUserIds, boolean isPublic)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier of the invite link; 0 if the user is not a member of this chat.

#### type

    public TdApi.ChatType type

Contains information about the type of the chat.

#### title

    public java.lang.String title

Title of the chat.

#### photo

    public TdApi.ChatPhoto photo

Chat photo; may be null.

#### memberCount

    public int memberCount

Number of members.

#### memberUserIds

    public int[] memberUserIds

User identifiers of some chat members that may be known to the current user.

#### isPublic

    public boolean isPublic

True, if the chat is a public supergroup or channel with a username.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatInviteLinkInfo

    public ChatInviteLinkInfo()

Default constructor.

#### ChatInviteLinkInfo

    public ChatInviteLinkInfo​(long chatId,
                              TdApi.ChatType type,
                              java.lang.String title,
                              TdApi.ChatPhoto photo,
                              int memberCount,
                              int[] memberUserIds,
                              boolean isPublic)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier of the invite link; 0 if the user is not a member of this chat.
  `type` - Contains information about the type of the chat.
  `title` - Title of the chat.
  `photo` - Chat photo; may be null.
  `memberCount` - Number of members.
  `memberUserIds` - User identifiers of some chat members that may be known to the current user.
  `isPublic` - True, if the chat is a public supergroup or channel with a username.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR